package main

import (
	"fmt"
	"slices"
)

func main() {
	// section: example
	original := []int{0, 1, 2, 4, 5}
	cloned := slices.Clone(original)
	cloned[0] = 9
	cloned[1] = 8
	cloned[2] = 7
	cloned[3] = 6
	cloned[4] = 5
	fmt.Printf("original: %v\n", original)
	fmt.Printf("cloned  : %v\n", cloned)
	// section: example
}
